org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet

## Interface Facet

All Superinterfaces:
  DocumentedElement

All Known Subinterfaces:
  EClassCustomization, FacetCustomization

    public interface Facet
    extends DocumentedElement

A representation of the model object 'Facet'. A Facet is a virtual sub-type of an existing EClass. A Facet cannot be instantiated.

The following features are supported:

- `Extended Metaclass`
- `Facet Elements`
- `Facet Operations`
- `Conformance Typed Element`
- `Extended Facets`

See Also:
  `EFacetPackage.getFacet()`
Generated:
Model:
  annotation="http://www.eclipse.org/emf/2002/Ecore validationDelegates='( self.query.scope = self.facet.extendedMetaClass ) and ( self.query.name = self.name )'" annotation="http://www.eclipse.org/emf/2002/Ecore validationDelegates='self.conformanceQuery.scope = self.extendedMetaClass'" annotation="org.eclipse.ocl.ecore.OCL body='not(self.container().oclCastAs(FacetSet).facets->exists(f|f.extendedMetaClass.container() <> self.extendedMetaClass.container() ))'"

### Method Summary

All Methods Instance Methods Abstract Methods
`ETypedElement` `getConformanceTypedElement()` Returns the value of the 'Conformance Typed Element' reference.
`<any>` `getExtendedFacets()` Returns the value of the 'Extended Facets' reference list.
`EClass` `getExtendedMetaclass()` Returns the value of the 'Extended Metaclass' reference.
`<any>` `getFacetElements()` Returns the value of the 'Facet Elements' containment reference list.
`<any>` `getFacetOperations()` Returns the value of the 'Facet Operations' containment reference list.
`void` `setConformanceTypedElement(ETypedElement value)` Sets the value of the '`Conformance Typed Element`' reference.
`void` `setExtendedMetaclass(EClass value)` Sets the value of the '`Extended Metaclass`' reference.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.DocumentedElement

`getDocumentation, setDocumentation`

### Method Detail

#### getExtendedMetaclass

    EClass getExtendedMetaclass()

Returns the value of the 'Extended Metaclass' reference.

If the meaning of the 'Extended Metaclass' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Extended Metaclass' reference.
See Also:
  `setExtendedMetaclass(EClass)`, `EFacetPackage.getFacet_ExtendedMetaclass()`
Generated:
Model:
  annotation="GenModel documentation='The \"extendedMetaclass\" reference references the virtually subtyped EClass.'"

#### setExtendedMetaclass

    void setExtendedMetaclass(EClass value)

Sets the value of the '`Extended Metaclass`' reference.

Parameters:
  `value` - the new value of the 'Extended Metaclass' reference.
See Also:
  `getExtendedMetaclass()`
Generated:

#### getFacetElements

    <any> getFacetElements()

Returns the value of the 'Facet Elements' containment reference list. The list contents are of type `org.eclipse.emf.ecore.EStructuralFeature`. This composite reference contains virtual attributes, references and operations.

Returns:
  the value of the 'Facet Elements' containment reference list.
See Also:
  `EFacetPackage.getFacet_FacetElements()`
Generated:
Model:
  containment="true"

#### getFacetOperations

    <any> getFacetOperations()

Returns the value of the 'Facet Operations' containment reference list. The list contents are of type `FacetOperation`.

If the meaning of the 'Facet Operations' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Facet Operations' containment reference list.
See Also:
  `EFacetPackage.getFacet_FacetOperations()`
Generated:
Model:
  containment="true"

#### getConformanceTypedElement

    ETypedElement getConformanceTypedElement()

Returns the value of the 'Conformance Typed Element' reference.

If the meaning of the 'Conformance Typed Element' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Conformance Typed Element' reference.
See Also:
  `setConformanceTypedElement(ETypedElement)`, `EFacetPackage.getFacet_ConformanceTypedElement()`
Generated:
Model:

#### setConformanceTypedElement

    void setConformanceTypedElement(ETypedElement value)

Sets the value of the '`Conformance Typed Element`' reference.

Parameters:
  `value` - the new value of the 'Conformance Typed Element' reference.
See Also:
  `getConformanceTypedElement()`
Generated:

#### getExtendedFacets

    <any> getExtendedFacets()

Returns the value of the 'Extended Facets' reference list. The list contents are of type `Facet`.

If the meaning of the 'Extended Facets' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Extended Facets' reference list.
Since:
  0.2
See Also:
  `EFacetPackage.getFacet_ExtendedFacets()`
Generated:
Model:
  annotation="GenModel documentation='A facet can extend other facets. If A facet A can extend a facet B. In this case an eObject conforms to the facet A if it matches conformance evaluation of A and B. '"